#!/bin/bash
SWAP=/dev/sda2
SYS=/dev/sda1
CHROOT=/mnt/gentoo
STAGE3=stage3-amd64-20170907.tar.bz2
SNAPSHOT=portage-20171006.tar.bz2
REPO=https://repo.jmanson.fr

mkfs.ext4 $SYS
mkswap $SWAP
swapon $SWAP
mount $SYS $CHROOT
wget $REPO/$STAGE3
wget $REPO/$SNAPSHOT

tar xjf $STAGE3 -C $CHROOT
tar xjf $SNAPSHOT -C $CHROOT/usr

mount -t proc none $CHROOT/proc
mount -o bind /dev $CHROOT/dev
cp /etc/resolv.conf $CHROOT/etc/resolv.conf